Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

SAP Keys APIs

Viewing the List of DKRs

search

Please Note:

Viewing the List of DKRs

Use the get /v1/cckm/sap/dkr API to view the list of SAP DKRs. The results can be filtered using the query parameters.

This feature is a technical preview for evaluation in non-production environments. A technical preview introduces new, limited functionality for customer feedback as we work on the feature. Details and functionality are subject to change. This includes API endpoints, UI elements, and CLI commands. We cannot guarantee that data created as part of a technical preview will be retained after the feature is finalized.

Syntax

curl -k '<IP>/api/v1/cckm/sap/dkr?skip=0&limit=10&sort=updatedAt' -H 'Authorization: Bearer AUTHTOKEN' -H 'accept: application/json' --compressed

Request Parameters

Parameter Type Description
AUTHTOKEN string Authorization token.

Request Query Parameters

Parameter Type Description
id string Internal ID of the SAP DKR.
name string Name of the SAP DKR.
cloud_name string Cloud name of the SAP DKR.
allow_underlying_key_exchange boolean Whether the repointing of the DKR to another encryption key and manual key rotation of the encryption key is allowed.
creator_name string Name of the SAP DKR creator.
creator_id string ID of the SAP DKR creator.
sap_key_name string Name of the SAP key.
sap_key_id string ID of the SAP key.
cckm_group_id string ID of the CCKM group.
dynamic_key_reference_id string ID of the SAP DKR.
skip integer Number of records to skip. For example, if "skip":5 is specified, the first five records will not be displayed in the output.
limit integer Numbers of records to display. For example, if "limit":10 is specified, then the next 10 records (after skipping the number of records specified in the skip parameter) will be displayed in the output.
sort string Comma-delimited list of properties to sort the results.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/sap/dkr?skip=0&limit=10&sort=updatedAt' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiIxMjUxY2JhZS0xMTIzLTRjNGMtYjVmZi01MzNkZjcwZWZhYTEiLCJzdWIiOiJsb2NhbHxiZDlhNGEzYi01NTlhLTRlMDEtOTRjNS1hZmYwNGZjMThhNWIiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJjbGllbnRfdHlwZSI6InVucmVnaXN0ZXJlZCIsImRvbWFpbl9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCIsImdyb3VwcyI6WyJhZG1pbiJdLCJzaWQiOiJiZTQ4ZjhlNy1kNTc4LTQyODktOTM3YS05NDg2N2JiY2FhMjUiLCJ6b25lX2lkIjoiMDAwMDAwMDAtMDAwMC0wMDAwLTAwMDAtMDAwMDAwMDAwMDAwIn0sImp3dGlkIjoiN2E1NGIxMzMtN2UyNS00NzEwLThlNWItMmJmY2VhYmQ1MGM4IiwiaWF0IjoxNjc2MjY1MjIxLCJleHAiOjE2NzYyNjU1MjF9.fuycJDKD6XkB5QSrWVDpTHoue1vmi534fltK1fXtAY0' -H 'accept: application/json' --compressed

Example Response

{
    "skip": 0,
    "limit": 10,
    "total": 1,
    "resources": [
        {
            "id": "46c6696a-f3a5-4aba-96ed-b9a609d497c8",
            "uri": "kylo:kylo:cckm:sap-dkr:46c6696a-f3a5-4aba-96ed-b9a609d497c8",
            "account": "kylo:kylo:admin:accounts:kylo",
            "createdAt": "2023-02-13T05:09:09.235411Z",
            "updatedAt": "2023-02-13T05:09:09.233699Z",
            "cloud_name": "sap",
            "sap_key_name": "Demo-19-10-2022",
            "cckm_group_id": "6140109f-98ed-46aa-b969-3872a76909c3",
            "sap_dkr_param": {
                "allow_underlying_key_exchange": true,
                "meta": {
                    "created": "2023-02-13T05:09:09Z",
                    "creatorId": "171cdee5-947e-4bcd-ae0b-562256624904",
                    "creatorName": "rohit.pandita@thalesgroup.com"
                },
                "name": "DKR-1",
                "dynamic_key_reference_id": "dkr--b5f081cf-50be-4384-94c7-65007fd1b20b",
                "sap_key_id": "b1101911-960b-4955-8133-20ca4dc6097e"
            }
        }
    ]
}

The list of available SAP DKRs is displayed.

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.